function table = gen_tableHp_multiphase(self, varargin)

    opts   = Tester.parseArgs('runTester', varargin{:});

    alpha = nan;
    ntotal = opts.hp_nconfigs;
    interv = struct2array(struct('alpha_r', [0;0],...
                                 'alpha_c', [0;0],...
                                 'Lreg_betar', opts.betar_mul,...
                                 'Lreg_betac', [0;0],...
                                 'rank', opts.rank) );

    o2darray = [Tester.gen_RSddimSamples(interv, ceil(ntotal)) ];
 
    table = array2table([[1:ntotal]',o2darray],...
                'VariableNames',{'id','alpha_r','alpha_c', ...
                'Lreg_betar','Lreg_betac','rank'});

end
